QGIS Application - Feature request #2824
label color lost when canceling
2010-06-18 04:51 AM - fhof -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12884
Description

- Let's have a vector layer, say containing surfaces.
Go to the layer properties, tab "Label" (2nd one).

- Check "Display the labels", assign a field, and define a font color (for ex. dark blue).

- Click on the "Color" button again, then click "Cancel".

- Click on the "Color" button again, the color is back to black

- The font color is also lost when clicking "Cancel" in the font definition window. The reset of the color also happens when the color has
already been applied and saved.

History

#1 - 2010-06-18 07:36 AM - fhof -

| would be grateful if someone can test or compile for me the correction's proposal for this bug and also for #2784. Thanks.

#2 - 2010-06-20 11:31 AM - Martin Dobias

fhof: what's your real name? To give you the credits if the patch will be applied.

#3 - 2010-06-21 12:05 AM - fhof -

Replying to [comment:3 wonder]:

fhof: what's your real name? To give you the credits if the patch will be applied.

Florian Hof

#4 - 2010-06-30 11:48 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

applied in commit:32aed70c (SVN r13857). Thanks.

Files

bug2824fix.diff 1.7 KB 2010-06-18 fhof -
